#
# Conditional build:
%bcond_with	qsa		# system QtSingleApplication

%define		qtver	5.7
%define		rasterbar_ver	2:1.1.10
Summary:	qbittorrent - Qt-based torrent client
Summary(hu.UTF-8):	qbittorrent - Qt-alapú torrent kliens
Summary(pl.UTF-8):	qbittorrent - graficzny klient torrenta oparty na Qt
Name:		qbittorrent
Version:	4.2.5
Release:	2
License:	GPL v2+
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/qbittorrent/%{name}-%{version}.tar.xz
# Source0-md5:	e272971ed6f1a82d05e0240d48d08f88
URL:		http://qbittorrent.sourceforge.net/
BuildRequires:	GeoIP-devel
BuildRequires:	Qt5Concurrent-devel >= %{qtver}
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5DBus-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Network-devel >= %{qtver}
%{?with_qsa:BuildRequires:	Qt5SingleApplication-devel >= 2.6.1-4}
BuildRequires:	Qt5Svg-devel >= %{qtver}
BuildRequires:	Qt5Xml-devel >= %{qtver}
BuildRequires:	boost-devel >= 1.40
BuildRequires:	libnotify-devel >= 0.4.2
BuildRequires:	libstdc++-devel >= 6:5
BuildRequires:	libtorrent-rasterbar-devel >= %{rasterbar_ver}
# not ready yet
BuildRequires:	libtorrent-rasterbar-devel < 2:1.3.0
BuildRequires:	openssl-devel >= 1.0
BuildRequires:	pkgconfig >= 1:0.23
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	qt5-linguist >= %{qtver}
BuildRequires:	qt5-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	which
BuildRequires:	zlib >= 1.2.5.2
Requires:	desktop-file-utils
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	libtorrent-rasterbar >= %{rasterbar_ver}
Requires:	python >= 1:2.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
qTorrent - Qt-based torrent client.

%description -l hu.UTF-8
qBittorrent - Qt-alapú torrent kliens

%description -l pl.UTF-8
qTorrent - graficzny klient torrenta oparty na Qt.

%prep
%setup -q

%if %{with qsa}
%{__rm} -r src/app/qtsingleapplication
%endif

%build
%{__aclocal}
%{__autoconf}
%configure \
	--verbose \
	--prefix=%{_prefix} \
	--with-boost-libdir=%{_libdir} \
	%{?with_qsa:--with-qtsingleapplication=system}

%{__make} \
	CXX="%{__cxx}"

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_icon_cache hicolor

%postun
%update_desktop_database
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc NEWS AUTHORS TODO Changelog
%attr(755,root,root) %{_bindir}/qbittorrent
%{_datadir}/metainfo/org.qbittorrent.qBittorrent.appdata.xml
%{_mandir}/man1/qbittorrent.1*
%{_desktopdir}/org.qbittorrent.qBittorrent.desktop
%{_iconsdir}/hicolor/*x*/apps/qbittorrent.png
%{_iconsdir}/hicolor/*x*/status/qbittorrent-tray.png
%{_iconsdir}/hicolor/scalable/status/qbittorrent-tray*.svg
%{_pixmapsdir}/qbittorrent.png
%changelog
* Fri Sep 24 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qbittorrent.git;a=log;h=master

* Fri Sep 24 2021 Jan Rękorajski <baggins@pld-linux.org> 0e5a496
- rebuild with openssl 3.0.0

* Fri Jul 31 2020 Jakub Bogusz <qboosh@pld-linux.org> c5f0c07
- updated to 4.2.5 (now ready for libtorrent-rasterbar 1.2.x)

* Tue Apr 30 2019 Jakub Bogusz <qboosh@pld-linux.org> 077042a
- updated to 4.1.5, now uses libtorrent-rasterbar 1.1.x
- removed obsolete qmake patch

* Mon May 29 2017 Jan Rękorajski <baggins@pld-linux.org> f3da5c2
- up to 3.3.11
- segfaults with system QtSingleApplication, build with bundled

* Mon May 29 2017 Jan Rękorajski <baggins@pld-linux.org> 3de1bdb
- updated deps

* Sun May 28 2017 Jan Rękorajski <baggins@pld-linux.org> 302f661
- up to 3.3.10

* Wed Apr 12 2017 Jan Rękorajski <baggins@pld-linux.org> 4342226
- up to 3.3.9
- requires Qt5 now

* Sun May 22 2016 Jan Rękorajski <baggins@pld-linux.org> 0bf96b9
- boost 1.61 rebuild
- release 3 (by relup.sh)

* Tue May 17 2016 Elan Ruusamäe <glen@delfi.ee> 581c07c
- boost 1.61 rebuild
- release 2 (by relup.sh)

* Thu Nov 19 2015 Andrzej Zawadzki <zawadaa@pld-linux.org> 1e16f4c
- up to 3.2.5

* Wed Nov 18 2015 Jan Rękorajski <baggins@pld-linux.org> 2926c0c
- release 3 (by relup.sh)

* Mon Nov 16 2015 Jan Rękorajski <baggins@pld-linux.org> 59afd30
- release 2 (by relup.sh)

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> 81fbad4
- up to 3.2.3

* Thu Jun 25 2015 Jan Rękorajski <baggins@pld-linux.org> 7331c99
- fix qmake detection

* Wed Jun 24 2015 Andrzej Zawadzki <zawadaa@pld-linux.org> 52dc38c
- patches don't needed... probably ;-)

* Sun Jun 21 2015 Andrzej Zawadzki <zawadaa@pld-linux.org> e558db2
- up to 3.2.0

* Thu Feb 19 2015 Jan Rękorajski <baggins@pld-linux.org> a64a35a
- fix moc problems on boost 1.57.0
- rel 2

* Thu Feb 12 2015 Szymon Siwek <sls@pld-linux.org> 29fa689
- added BR: qt4-linguist

* Thu Feb 05 2015 Andrzej Zawadzki <zawadaa@pld-linux.org> 0132869
- up to 3.1.11

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> 986e8a7
- rebuild with boost 1.56.0
- release 2 (by relup.sh)

